Subject: Re: linux-next: build failure after merge of the final tree (pci tree related)

From: Jesse Barnes <[email-masked]>
Date: Wed, 7 Dec 2011 09:13:54 -0800

On Wed, 7 Dec 2011 08:25:39 -0700
Bjorn Helgaas <[email-masked]> wrote:

> On Wed, Dec 7, 2011 at 8:08 AM, Bjorn Helgaas <[email-masked]> wrote:
> > On Tue, Dec 6, 2011 at 11:05 PM, Stephen Rothwell <[email-masked]> wrote:
> >> Hi all,
> >>
> >> After merging the final tree, today's linux-next build (sparc64 defconfig)
> >> failed like this:
> >>
> >> arch/sparc/kernel/pci.c: In function 'pci_scan_one_pbm':
> >> arch/sparc/kernel/pci.c:697:7: error: incompatible type for argument 5 of 'pci_create_root_bus'
> >> include/linux/pci.h:665:17: note: expected 'struct list_head *' but argument is of type 'struct list_head'
> >>
> >> Caused by commit fa3cec8aff53 ("sparc/PCI: convert to pci_create_root_bus
> >> ()"). Same typo as for the powerpc tree. :-(  Please double check the
> >> rest of those changes, please.
> >>
> >> I applied the following patch for today.
> >
> > Thanks for doing that, sorry for the trouble.  I don't have a set of
> > cross-compilers, unfortunately, but I will inspect the rest manually.
> > Do we have to discover problems one-by-one, or can you tell us about
> > any other arch build problems at the same time?
> 
> I checked the rest manually and didn't find any similar problems.
> 
> The corrected patch attached (same as with Stephen's fixup) is
> attached.  Also available
> at git://github.com/bjorn-helgaas/linux.git on the "pci-scan-v5"
> branch as c0cab2621d0cf75e86fbbad44d0b2b84c3a42f97)

Squashed the fix into the original patch.  Thanks guys.

-- 
Jesse Barnes, Intel Open Source Technology Center